JUCE: ARAHostModel::ManagedARAHandle< Base, PtrIn > Class Template Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ARAHostModel::ManagedARAHandle< Base, PtrIn > Class Template Reference
juce_audio_processors » format_types

This class is used by the various ARA model object helper classes, such as MusicalContext, AudioSource etc. More...

`#include <juce_ARAHosting.h>`

## Public Types
using | Ptr = PtrIn

## Public Member Functions
| ManagedARAHandle (ARA::Host::DocumentController &dc, Ptr ptr) noexcept
| Constructor.
auto & | getDocumentController () const
| Returns the host side DocumentController reference.
Ptr | getPluginRef () const
| Returns the plugin side reference to the model object.

## Detailed Description

template<typename Base, typename PtrIn>
class ARAHostModel::ManagedARAHandle< Base, PtrIn >

This class is used by the various ARA model object helper classes, such as MusicalContext, AudioSource etc.

It helps with deregistering the model objects from the DocumentController when the lifetime of the helper class object ends.

You shouldn't use this class directly but instead inherit from the helper classes.

## Member Typedef Documentation

## ◆ Ptr

template<typename Base , typename PtrIn >

using ARAHostModel::ManagedARAHandle< Base, PtrIn >::Ptr = PtrIn

## Constructor & Destructor Documentation

## ◆ ManagedARAHandle()

template<typename Base , typename PtrIn >

ARAHostModel::ManagedARAHandle< Base, PtrIn >::ManagedARAHandle | ( | ARA::Host::DocumentController & | dc,
|  | Ptr | ptr
| ) |  |
| noexcept

Constructor.

## Member Function Documentation

## ◆ getDocumentController()

template<typename Base , typename PtrIn >

auto & ARAHostModel::ManagedARAHandle< Base, PtrIn >::getDocumentController | ( |  | ) | const

Returns the host side DocumentController reference.

## ◆ getPluginRef()

template<typename Base , typename PtrIn >

Ptr ARAHostModel::ManagedARAHandle< Base, PtrIn >::getPluginRef | ( |  | ) | const

Returns the plugin side reference to the model object.

The documentation for this class was generated from the following file:

- juce_ARAHosting.h